TransferInfoProperties (scheduler-portlet 2.0.1-SNAPSHOT API)
Date: 2013-10-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.portlets.user.shared.prop
Interface TransferInfoProperties

All Superinterfaces:
  com.sencha.gxt.data.shared.PropertyAccess<TransferInfo>

    public interface TransferInfoProperties

extends com.sencha.gxt.data.shared.PropertyAccess<TransferInfo>

Method Summary
`com.sencha.gxt.data.shared.ModelKeyProvider<TransferInfo>` | `key()`
`com.sencha.gxt.data.shared.LabelProvider<TransferInfo>` | `nameLabel()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,Integer>` | `numOfUpdates()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,String[]>` | `objectFailedIDs()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,String[]>` | `objectTrasferredIDs()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,Double>` | `progress()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,String>` | `status()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,String>` | `submittedDate()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,Date>` | `submittedDate2()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,String>` | `submitter()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,List<String>>` | `transferError()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,String>` | `transferId()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,String>` | `transferIdOfAgent()`
`com.sencha.gxt.core.client.ValueProvider<TransferInfo,String>` | `typeOfScheduleString()`

Method Detail

### key

    @Editor.Path(value="transferId")
    com.sencha.gxt.data.shared.ModelKeyProvider<TransferInfo> key()

### nameLabel

    @Editor.Path(value="transferId")
    com.sencha.gxt.data.shared.LabelProvider<TransferInfo> nameLabel()

### typeOfScheduleString

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,String> typeOfScheduleString()

### transferId

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,String> transferId()

### submitter

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,String> submitter()

### status

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,String> status()

### objectTrasferredIDs

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,String[]> objectTrasferredIDs()

### objectFailedIDs

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,String[]> objectFailedIDs()

### transferError

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,List<String>> transferError()

### transferIdOfAgent

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,String> transferIdOfAgent()

### submittedDate

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,String> submittedDate()

### submittedDate2

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,Date> submittedDate2()

### progress

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,Double> progress()

### numOfUpdates

    com.sencha.gxt.core.client.ValueProvider<TransferInfo,Integer> numOfUpdates()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.